Quassel IRC - Feature #341

Quassel should be able to show notices in current buffer while keeping private messages in query
buffer

10/08/2008 11:56 AM - hagabaka

Status: Feedback Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 80%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
0S: Any

Description

Currently it's possible to configure whether to show both notices and private messages in the status buffer, query buffer, and current
buffer, but it's not possible to have different behaviors for notices and for private messages. There is a distinction between the
popular use of notices and private messages. Private messages are usually used for conversations, while notices are used for
grabbing attention in a short message, and usually clients display notices in the current window while private messages in query
windows. Therefore, | suggest there be two sets of options for private messages, and for notices, to show in different types of buffers.
The options could be presented like this:

Display private messages:
[]in status buffer

[1in query buffer (if exists)
[1in current buffer

Display notices:

[1in status buffer

[1in query buffer (if exists)
[1in current buffer

Related issues:
Related to Quassel IRC - Bug #342: A hidden query buffer won't be redisplayed... Closed

History

#1 - 10/22/2008 05:43 PM - hagabaka

This can be extended to WHOIS replies and other messages. The configuration Ul can be a table that looks like
message type | current | status | user

PRIVMSG  [[] [[] [I]

NOTICE  |[] [[] I[]

WHOIS reply [[] [[] II]

#2 - 01/13/2009 09:36 PM - EgS

- Status changed from New to Feedback
- Assignee set to EgS

- Priority changed from High to Normal

- % Done changed from 0 to 80

This is mainly done.
| personally do not like the option to even redirect regular private messages.

Also | don't like to specifically add a setting for whois messages. Perhaps one could extend the current "server notices" to any server messages, so
this would also cover whois messages.

#3 - 03/01/2012 06:59 PM - rikai

| disagree with that idea.

There are completely valid reasons for wanting whois information to be handled separately from server notices.

When doing a whois, many people want to see the results instantly in their current buffer but do not want to have server notices in their buffer.

There is also existing precedent for this choice in other clients. mIRC and X-Chat both allow this setup as a toggleable option, iirc.
#4 - 04/25/2020 07:07 AM - demonspork

This should also cover CTCP replies as on other clients.
